{% extends 'app_base.html.twig' %}

{% block title %} Certification Authority (CA) / {{ appShortName }}{% endblock %}






{% block body %}
    <h1>Certification Authority (CA) </h1>

    <hr class="col-3 col-md-2 mb-5">


    <h2>  Root CA </h2>
    {% if rootCrl is not empty %}
        <ul class="icon-list ps-0">
            <li class="d-flex align-items-start mb-1">
                <a title="Download Certificate Revocation List (CRL) of Root CA"
                   href="{{ rootCrl }}">Download CRL file (Certificate Revocation List)</a>
            </li>
        </ul>
    {% endif %}

    <table class="table table-dark  table-striped table-hover">
        <thead>
        <tr>
            <th> Information </th>
            <th> Value  </th>
        </tr>
        </thead>
        <tbody>
        {% for key, info in certIssuer %}
            <tr>
                <td> {{ key }} </td>
                <td> {{ info }}</td>
            </tr>
        {% endfor %}
        <tr>
            <td> <abbr title="Certificate Revocation List">CRL</abbr> </td>
            <td> {{ rootCrl }} </td>
        </tr>
        </tbody>
    </table>


    <hr class="col-3 col-md-2 mb-5">
    <h2>  Intermediate CA </h2>
    {% if certCrl is not empty %}
        <ul class="icon-list ps-0">
            <li class="d-flex align-items-start mb-1 text-muted">
                <a title="Download public key of Intermediate CA"
                   href="{{ path('app_public_certificat-authority_download',{'serialNumber': serialNumber}) }}">
                    Download PEM file</a>
            </li>
            <li class="d-flex align-items-start mb-1">
                <a title="Download Certificate Revocation List (CRL) of Intermediate CA"
                   href="{{ certCrl }}">Download CRL file (Certificate Revocation List)</a>
            </li>
        </ul>
    {% endif %}
    <table class="table table-dark  table-striped table-hover">
        <thead>
        <tr>
            <th> Information </th>
            <th> Value  </th>
        </tr>
        </thead>
        <tbody>
    {% for key, info in certSubject %}
        <tr>
            <td> {{ key }} </td>
            <td> {{ info }}</td>
        </tr>
    {% endfor %}
        <tr>
            <td> Serial number  </td>
            <td> {{ serialNumber }}</td>
        </tr>
    <tr>
        <td> Valid from </td>
        <td> {{ validFrom }} </td>
    </tr>
    <tr>
        <td> Valid to  </td>
        <td> {{ validTo }} </td>
    </tr>
    <tr>
        <td>     certFingerprint sha256</td>
        <td> {{     certFingerprint }} </td>
    </tr>
    <tr>
        <td> <abbr title="Certificate Revocation List">CRL</abbr> </td>
        <td> {{ certCrl }} </td>
    </tr>
{#        <tr>#}
{#            <td> Subject </td>#}
{#            <td>  {{ certName }}</td>#}
{#        </tr>#}
        </tbody>
    </table>
    {% if is_granted('ROLE_ADMIN') %}
        <div class="alert alert-dark" role="alert">
            <h1>DEBUG [ ROLE_ADMIN ] </h1>
            <pre>{{ rawPemPublicKey }}</pre>
            <pre>{{ certInfo }}</pre>
        </div>
    {% endif %}


{% endblock %}
